Intel WiFi (CNVi) 9462/9560 on Comet Lake FW error in SYNC CMD GEO_TX_POWER_LIMIT

Bug #1834415 reported by You-Sheng Yang on 2019-06-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned

Bug Description

[Impact]
Intel Wireless-AC 9560/9462 cease to function normally with -48 rev
firmware release.

[Fix]
Two additional changes from Intel maintained backport-iwlwifi repository
are required to bring the two models back to normal.

[Test]
Verified on hardware 9462/9560 with fw rev 48.

[Regression Potential]
Low. These changes affects all iwlwifi supported devices that use
firmware blob that doesn't support iwl_geo_tx_power_profiles_cmd_v1
command. This behavior change is automatically detected, so it should
have no effect on devices other than 9462/9560 so far.

====== Original Description ======

With kernel changes in bug 1833065, Intel 9462/9560 cards should be working well with -46 rev firmware blobs. However, with that latest upstreamed -48 rev, iwlwifi cease to function as expected and error messages in regarding to GEO_TX_POWER_LIMIT can be found in kernel dmesg:

kernel: [ 3.223967] iwlwifi 0000:00:14.3: enabling device (0000 -> 0002)
kernel: [ 3.225705] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-50.ucode failed with error -2
kernel: [ 3.225715] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-QuZ-a0-jf-b0-49.ucode failed with error -2
kernel: [ 3.227088] iwlwifi 0000:00:14.3: Found debug destination: EXTERNAL_DRAM
kernel: [ 3.227090] iwlwifi 0000:00:14.3: Found debug configuration: 0
kernel: [ 3.227885] iwlwifi 0000:00:14.3: loaded firmware version 48.13675109.0 op_mode iwlmvm
kernel: [ 3.296241] iwlwifi 0000:00:14.3: Detected Intel(R) Dual Band Wireless AC 9462, REV=0x354
kernel: [ 3.302726] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
kernel: [ 3.302876] iwlwifi 0000:00:14.3: Allocated 0x00400000 bytes for firmware monitor.
kernel: [ 3.434283] iwlwifi 0000:00:14.3: base HW address: 98:2c:bc:39:5f:d0
kernel: [ 3.452447] iwlwifi 0000:00:14.3 wlp0s20f3: renamed from wlan0
NetworkManager[1041]: <info> [1561104168.1367] rfkill0: found WiFi radio killswitch (at /sys/devices/pci0000:00/0000:00:14.3/ieee80211/phy0/rfkill0) (driver iwlwifi)
kernel: [ 5.710741] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
kernel: [ 5.843615] iwlwifi 0000:00:14.3: FW already configured (0) - re-configuring
kernel: [ 6.047669] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
kernel: [ 6.047740] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
kernel: [ 6.047742] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 6
kernel: [ 6.047743] iwlwifi 0000:00:14.3: Loaded firmware version: 48.13675109.0
kernel: [ 6.047744] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
kernel: [ 6.047744] iwlwifi 0000:00:14.3: 0x000022F0 | trm_hw_status0
kernel: [ 6.047745] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
kernel: [ 6.047745] iwlwifi 0000:00:14.3: 0x004C2204 | branchlink2
kernel: [ 6.047746] iwlwifi 0000:00:14.3: 0x004B0CE8 | interruptlink1
kernel: [ 6.047746] iwlwifi 0000:00:14.3: 0x004B0CE8 | interruptlink2
kernel: [ 6.047747] iwlwifi 0000:00:14.3: 0x004BD57E | data1
kernel: [ 6.047747] iwlwifi 0000:00:14.3: 0x00001000 | data2
kernel: [ 6.047748] iwlwifi 0000:00:14.3: 0xF0000000 | data3
kernel: [ 6.047748] iwlwifi 0000:00:14.3: 0x00000000 | beacon time
kernel: [ 6.047749] iwlwifi 0000:00:14.3: 0x0004C690 | tsf low
kernel: [ 6.047749] iwlwifi 0000:00:14.3: 0x00000000 | tsf hi
kernel: [ 6.047750] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
kernel: [ 6.047750] iwlwifi 0000:00:14.3: 0x000523CC | time gp2
kernel: [ 6.047751] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
kernel: [ 6.047751] iwlwifi 0000:00:14.3: 0x00000030 | uCode version major
kernel: [ 6.047752] iwlwifi 0000:00:14.3: 0x13675109 | uCode version minor
kernel: [ 6.047752] iwlwifi 0000:00:14.3: 0x00000351 | hw version
kernel: [ 6.047753] iwlwifi 0000:00:14.3: 0x18489004 | board version
kernel: [ 6.047754] iwlwifi 0000:00:14.3: 0x8028FD14 | hcmd
kernel: [ 6.047754] iwlwifi 0000:00:14.3: 0x00020000 | isr0
kernel: [ 6.047755] iwlwifi 0000:00:14.3: 0x00000000 | isr1
kernel: [ 6.047755] iwlwifi 0000:00:14.3: 0x08F04002 | isr2
kernel: [ 6.047755] iwlwifi 0000:00:14.3: 0x04C1FFDC | isr3
kernel: [ 6.047756] iwlwifi 0000:00:14.3: 0x00000000 | isr4
kernel: [ 6.047756] iwlwifi 0000:00:14.3: 0x001301EE | last cmd Id
kernel: [ 6.047757] iwlwifi 0000:00:14.3: 0x004BD57E | wait_event
kernel: [ 6.047758] iwlwifi 0000:00:14.3: 0x00000000 | l2p_control
kernel: [ 6.047758] iwlwifi 0000:00:14.3: 0x00000000 | l2p_duration
kernel: [ 6.047759] iwlwifi 0000:00:14.3: 0x00000000 | l2p_mhvalid
kernel: [ 6.047759] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
kernel: [ 6.047760] iwlwifi 0000:00:14.3: 0x00000048 | lmpm_pmg_sel
kernel: [ 6.047760] iwlwifi 0000:00:14.3: 0x00000000 | timestamp
kernel: [ 6.047761] iwlwifi 0000:00:14.3: 0x00001064 | flow_handler
kernel: [ 6.047796] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
kernel: [ 6.047796] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 7
kernel: [ 6.047797] iwlwifi 0000:00:14.3: 0x20000034 | NMI_INTERRUPT_WDG
kernel: [ 6.047798] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
kernel: [ 6.047798] iwlwifi 0000:00:14.3: 0xC008CF5C | umac branchlink2
kernel: [ 6.047799] iwlwifi 0000:00:14.3: 0x8048BDC8 | umac interruptlink1
kernel: [ 6.047799] iwlwifi 0000:00:14.3: 0xC00866DC | umac interruptlink2
kernel: [ 6.047800] iwlwifi 0000:00:14.3: 0x00000004 | umac data1
kernel: [ 6.047800] iwlwifi 0000:00:14.3: 0xC00866DC | umac data2
kernel: [ 6.047801] iwlwifi 0000:00:14.3: 0x00000000 | umac data3
kernel: [ 6.047801] iwlwifi 0000:00:14.3: 0x00000030 | umac major
kernel: [ 6.047802] iwlwifi 0000:00:14.3: 0x13675109 | umac minor
kernel: [ 6.047802] iwlwifi 0000:00:14.3: 0x000523BE | frame pointer
kernel: [ 6.047803] iwlwifi 0000:00:14.3: 0xC0885E5C | stack pointer
kernel: [ 6.047803] iwlwifi 0000:00:14.3: 0x00190405 | last host cmd
kernel: [ 6.047804] iwlwifi 0000:00:14.3: 0x00000000 | isr status reg
kernel: [ 6.047952] iwlwifi 0000:00:14.3: FW error in SYNC CMD GEO_TX_POWER_LIMIT
kernel: [ 6.047970] iwl_trans_pcie_gen2_send_hcmd+0x476/0x4c0 [iwlwifi]
kernel: [ 6.047978] iwl_trans_send_cmd+0x62/0xd0 [iwlwifi]
kernel: [ 6.048102] iwlwifi 0000:00:14.3: Collecting data: trigger 2 fired.
kernel: [ 6.048106] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
kernel: [ 6.073863] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
kernel: [ 6.216495] iwlwifi 0000:00:14.3: FW already configured (0) - re-configuring
kernel: [ 6.422275] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
kernel: [ 6.422369] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
kernel: [ 6.422370] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 6
kernel: [ 6.422371] iwlwifi 0000:00:14.3: Loaded firmware version: 48.13675109.0
kernel: [ 6.422372] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
kernel: [ 6.422372] iwlwifi 0000:00:14.3: 0x000022F0 | trm_hw_status0
kernel: [ 6.422372] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
kernel: [ 6.422373] iwlwifi 0000:00:14.3: 0x004C2204 | branchlink2
kernel: [ 6.422373] iwlwifi 0000:00:14.3: 0x004B0CE8 | interruptlink1
kernel: [ 6.422374] iwlwifi 0000:00:14.3: 0x004B0CE8 | interruptlink2
kernel: [ 6.422374] iwlwifi 0000:00:14.3: 0x004BD57E | data1
kernel: [ 6.422374] iwlwifi 0000:00:14.3: 0x00001000 | data2
kernel: [ 6.422375] iwlwifi 0000:00:14.3: 0xF0000008 | data3
kernel: [ 6.422375] iwlwifi 0000:00:14.3: 0x00000000 | beacon time
kernel: [ 6.422376] iwlwifi 0000:00:14.3: 0x0004EEB1 | tsf low
kernel: [ 6.422376] iwlwifi 0000:00:14.3: 0x00000000 | tsf hi
kernel: [ 6.422376] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
kernel: [ 6.422377] iwlwifi 0000:00:14.3: 0x00054E9C | time gp2
kernel: [ 6.422377] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
kernel: [ 6.422378] iwlwifi 0000:00:14.3: 0x00000030 | uCode version major
kernel: [ 6.422378] iwlwifi 0000:00:14.3: 0x13675109 | uCode version minor
kernel: [ 6.422378] iwlwifi 0000:00:14.3: 0x00000351 | hw version
kernel: [ 6.422379] iwlwifi 0000:00:14.3: 0x18489004 | board version
kernel: [ 6.422379] iwlwifi 0000:00:14.3: 0x8027FD14 | hcmd
kernel: [ 6.422380] iwlwifi 0000:00:14.3: 0x00020000 | isr0
kernel: [ 6.422380] iwlwifi 0000:00:14.3: 0x00000000 | isr1
kernel: [ 6.422380] iwlwifi 0000:00:14.3: 0x08F04802 | isr2
kernel: [ 6.422381] iwlwifi 0000:00:14.3: 0x04C1FFDC | isr3
kernel: [ 6.422381] iwlwifi 0000:00:14.3: 0x00000000 | isr4
kernel: [ 6.422381] iwlwifi 0000:00:14.3: 0x001201EE | last cmd Id
kernel: [ 6.422382] iwlwifi 0000:00:14.3: 0x004BD57E | wait_event
kernel: [ 6.422382] iwlwifi 0000:00:14.3: 0x00000000 | l2p_control
kernel: [ 6.422383] iwlwifi 0000:00:14.3: 0x00000000 | l2p_duration
kernel: [ 6.422383] iwlwifi 0000:00:14.3: 0x00000000 | l2p_mhvalid
kernel: [ 6.422383] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
kernel: [ 6.422384] iwlwifi 0000:00:14.3: 0x00000048 | lmpm_pmg_sel
kernel: [ 6.422384] iwlwifi 0000:00:14.3: 0x00000000 | timestamp
kernel: [ 6.422385] iwlwifi 0000:00:14.3: 0x00001054 | flow_handler
kernel: [ 6.422417] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
kernel: [ 6.422418] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 7
kernel: [ 6.422418] iwlwifi 0000:00:14.3: 0x20000034 | NMI_INTERRUPT_WDG
kernel: [ 6.422419] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
kernel: [ 6.422419] iwlwifi 0000:00:14.3: 0xC008CF5C | umac branchlink2
kernel: [ 6.422419] iwlwifi 0000:00:14.3: 0x8048BDC8 | umac interruptlink1
kernel: [ 6.422420] iwlwifi 0000:00:14.3: 0xC00866DC | umac interruptlink2
kernel: [ 6.422420] iwlwifi 0000:00:14.3: 0x00000004 | umac data1
kernel: [ 6.422421] iwlwifi 0000:00:14.3: 0xC00866DC | umac data2
kernel: [ 6.422421] iwlwifi 0000:00:14.3: 0x00000000 | umac data3
kernel: [ 6.422421] iwlwifi 0000:00:14.3: 0x00000030 | umac major
kernel: [ 6.422422] iwlwifi 0000:00:14.3: 0x13675109 | umac minor
kernel: [ 6.422422] iwlwifi 0000:00:14.3: 0x00054E91 | frame pointer
kernel: [ 6.422422] iwlwifi 0000:00:14.3: 0xC0885E5C | stack pointer
kernel: [ 6.422423] iwlwifi 0000:00:14.3: 0x00180405 | last host cmd
kernel: [ 6.422423] iwlwifi 0000:00:14.3: 0x00000000 | isr status reg
kernel: [ 6.422576] iwlwifi 0000:00:14.3: FW error in SYNC CMD GEO_TX_POWER_LIMIT
kernel: [ 6.422594] iwl_trans_pcie_gen2_send_hcmd+0x476/0x4c0 [iwlwifi]
kernel: [ 6.422601] iwl_trans_send_cmd+0x62/0xd0 [iwlwifi]
kernel: [ 6.422694] iwlwifi 0000:00:14.3: Collecting data: trigger 2 fired.
kernel: [ 6.422697] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
kernel: [ 6.442869] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
kernel: [ 6.574754] iwlwifi 0000:00:14.3: FW already configured (0) - re-configuring
kernel: [ 6.779398] iwlwifi 0000:00:14.3: Microcode SW error detected. Restarting 0x0.
kernel: [ 6.779495] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
kernel: [ 6.779496] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 6
kernel: [ 6.779496] iwlwifi 0000:00:14.3: Loaded firmware version: 48.13675109.0
kernel: [ 6.779497] iwlwifi 0000:00:14.3: 0x00000071 | NMI_INTERRUPT_UMAC_FATAL
kernel: [ 6.779498] iwlwifi 0000:00:14.3: 0x000022F0 | trm_hw_status0
kernel: [ 6.779498] iwlwifi 0000:00:14.3: 0x00000000 | trm_hw_status1
kernel: [ 6.779498] iwlwifi 0000:00:14.3: 0x004C2204 | branchlink2
kernel: [ 6.779499] iwlwifi 0000:00:14.3: 0x004B0CE8 | interruptlink1
kernel: [ 6.779499] iwlwifi 0000:00:14.3: 0x004B0CE8 | interruptlink2
kernel: [ 6.779499] iwlwifi 0000:00:14.3: 0x004BD57E | data1
kernel: [ 6.779500] iwlwifi 0000:00:14.3: 0x00001000 | data2
kernel: [ 6.779500] iwlwifi 0000:00:14.3: 0xF0000000 | data3
kernel: [ 6.779501] iwlwifi 0000:00:14.3: 0x00000000 | beacon time
kernel: [ 6.779501] iwlwifi 0000:00:14.3: 0x0004C42A | tsf low
kernel: [ 6.779501] iwlwifi 0000:00:14.3: 0x00000000 | tsf hi
kernel: [ 6.779502] iwlwifi 0000:00:14.3: 0x00000000 | time gp1
kernel: [ 6.779502] iwlwifi 0000:00:14.3: 0x00052179 | time gp2
kernel: [ 6.779503] iwlwifi 0000:00:14.3: 0x00000001 | uCode revision type
kernel: [ 6.779503] iwlwifi 0000:00:14.3: 0x00000030 | uCode version major
kernel: [ 6.779503] iwlwifi 0000:00:14.3: 0x13675109 | uCode version minor
kernel: [ 6.779504] iwlwifi 0000:00:14.3: 0x00000351 | hw version
kernel: [ 6.779504] iwlwifi 0000:00:14.3: 0x18489004 | board version
kernel: [ 6.779505] iwlwifi 0000:00:14.3: 0x8027FD14 | hcmd
kernel: [ 6.779505] iwlwifi 0000:00:14.3: 0x00020000 | isr0
kernel: [ 6.779505] iwlwifi 0000:00:14.3: 0x00000000 | isr1
kernel: [ 6.779506] iwlwifi 0000:00:14.3: 0x08F04002 | isr2
kernel: [ 6.779506] iwlwifi 0000:00:14.3: 0x04C1FFDC | isr3
kernel: [ 6.779506] iwlwifi 0000:00:14.3: 0x00000000 | isr4
kernel: [ 6.779507] iwlwifi 0000:00:14.3: 0x001201EE | last cmd Id
kernel: [ 6.779507] iwlwifi 0000:00:14.3: 0x004BD57E | wait_event
kernel: [ 6.779508] iwlwifi 0000:00:14.3: 0x00000000 | l2p_control
kernel: [ 6.779508] iwlwifi 0000:00:14.3: 0x00000000 | l2p_duration
kernel: [ 6.779508] iwlwifi 0000:00:14.3: 0x00000000 | l2p_mhvalid
kernel: [ 6.779509] iwlwifi 0000:00:14.3: 0x00000000 | l2p_addr_match
kernel: [ 6.779509] iwlwifi 0000:00:14.3: 0x00000048 | lmpm_pmg_sel
kernel: [ 6.779509] iwlwifi 0000:00:14.3: 0x00000000 | timestamp
kernel: [ 6.779510] iwlwifi 0000:00:14.3: 0x00001054 | flow_handler
kernel: [ 6.779544] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
kernel: [ 6.779545] iwlwifi 0000:00:14.3: Status: 0x00000100, count: 7
kernel: [ 6.779545] iwlwifi 0000:00:14.3: 0x20000034 | NMI_INTERRUPT_WDG
kernel: [ 6.779546] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
kernel: [ 6.779546] iwlwifi 0000:00:14.3: 0xC008CF5C | umac branchlink2
kernel: [ 6.779547] iwlwifi 0000:00:14.3: 0x8048BDC8 | umac interruptlink1
kernel: [ 6.779547] iwlwifi 0000:00:14.3: 0xC00866DC | umac interruptlink2
kernel: [ 6.779547] iwlwifi 0000:00:14.3: 0x00000004 | umac data1
kernel: [ 6.779548] iwlwifi 0000:00:14.3: 0xC00866DC | umac data2
kernel: [ 6.779548] iwlwifi 0000:00:14.3: 0x00000000 | umac data3
kernel: [ 6.779548] iwlwifi 0000:00:14.3: 0x00000030 | umac major
kernel: [ 6.779549] iwlwifi 0000:00:14.3: 0x13675109 | umac minor
kernel: [ 6.779549] iwlwifi 0000:00:14.3: 0x0005216D | frame pointer
kernel: [ 6.779550] iwlwifi 0000:00:14.3: 0xC0885E5C | stack pointer
kernel: [ 6.779550] iwlwifi 0000:00:14.3: 0x00180405 | last host cmd
kernel: [ 6.779550] iwlwifi 0000:00:14.3: 0x00000000 | isr status reg
kernel: [ 6.779696] iwlwifi 0000:00:14.3: FW error in SYNC CMD GEO_TX_POWER_LIMIT
kernel: [ 6.779715] iwl_trans_pcie_gen2_send_hcmd+0x476/0x4c0 [iwlwifi]
kernel: [ 6.779722] iwl_trans_send_cmd+0x62/0xd0 [iwlwifi]
kernel: [ 6.779815] iwlwifi 0000:00:14.3: Collecting data: trigger 2 fired.
kernel: [ 6.779822] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error

You-Sheng Yang (vicamo) on 2019-06-27
description: updated
Timo Aaltonen (tjaalton) on 2019-07-02
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
You-Sheng Yang (vicamo) on 2019-07-09
no longer affects: linux-oem-osp1 (Ubuntu Cosmic)
no longer affects: linux-oem-osp1 (Ubuntu Disco)
no longer affects: linux-oem-osp1 (Ubuntu Eoan)
Changed in linux-oem-osp1 (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1015.16

---------------
linux-oem-osp1 (5.0.0-1015.16) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1015.16 -proposed tracker (LP: #1836856)

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device

  * First click on Goodix touchpad doesn't be recognized after runtime suspended
    (LP: #1836836)
    - SAUCE: i2c: designware: add G3 3590 into i2c quirk

 -- Timo Aaltonen <email address hidden> Thu, 18 Jul 2019 11:29:53 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-oem-osp1 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers